#!/bin/bash
set -e

if [ "$#" -ne 2 ]; then
    echo "need 2 parameters : python_version and openssl_version"
    echo "example : 3.9.19 3.4.1"
    exit
fi

python_version="$1"
openssl_version="$2"

export LANG=C
export MACOSX_DEPLOYMENT_TARGET=10.9
rm -Rf /opt/wapt/
#rm -Rf Python*
#rm -Rf openssl*
#rm -Rf krb5*

#make and install openssl

cd /tmp/python_builddir
tar -zxvf openssl-${openssl_version}.tar.gz
cd openssl-${openssl_version}
./config --prefix=/opt/wapt  -Wl,-rpath,/opt/wapt/lib/  --libdir=/opt/wapt/lib
make -j`sysctl -n hw.logicalcpu` 
make install_sw  

# build libp11
#cd /tmp/python_builddir
#tar -zxvf libp11-0.4.12.tar.gz
#cd libp11-libp11-0.4.12/
#./bootstrap
#./configure --prefix=/opt/wapt LDFLAGS="-Wl,-rpath,/opt/wapt/lib/" PKG_CONFIG_PATH=/opt/wapt/lib/pkgconfig/
#make install 


##make and install xz
cd /tmp/python_builddir
#wget https://kerberos.org/dist/krb5/1.19/krb5-1.21.2.tar.gz
tar -zxvf xz-5.2.6.tar.gz
cd xz-5.2.6
./configure -prefix=/opt/wapt LDFLAGS="-Wl,-rpath,/opt/wapt/lib/" PKG_CONFIG_PATH=/opt/wapt/lib/pkgconfig/
make install 

#libsqlite
cd /tmp/python_builddir
tar -xvf sqlite.tar.gz
cd sqlite
./configure --prefix=/opt/wapt LDFLAGS="-Wl,-rpath,/opt/wapt/lib/" PKG_CONFIG_PATH=/opt/wapt/lib/pkgconfig --enable-shared
make
make install

#make and install python

cd /tmp/python_builddir
#wget https://www.python.org/ftp/python/${python_version}/Python-${python_version}.tgz
tar -zxvf Python-${python_version}.tgz
cd Python-${python_version}
./configure -C  --with-openssl=/opt/wapt/ --enable-optimizations --enable-shared --prefix=/opt/wapt LDFLAGS=-Wl,-rpath,/opt/wapt/lib/
make -j`sysctl -n hw.logicalcpu` install
rm -f /opt/wapt/bin/{2to3,2to3-3.9,idle3,idle3.9} 

#make and install mit kerberos

cd /tmp/python_builddir
#wget https://kerberos.org/dist/krb5/1.19/krb5-1.21.2.tar.gz
tar -zxvf krb5-1.21.2.tar.gz
cd krb5-1.21.2/src
./configure --prefix=/opt/wapt LDFLAGS="-Wl,-rpath,/opt/wapt/lib/" PKG_CONFIG_PATH=/opt/wapt/lib/pkgconfig/
make -j`sysctl -n hw.logicalcpu` 
make install 
rm -f /opt/wapt/bin/{gss-client,k5srvutil,kadmin,kdestroy,kinit,klist,kpasswd,ksu,kswitch,ktutil,kvno,sclient,sim_client,uuclient}
rm -Rf /opt/wapt/{sbin,share,var}
rm -Rf /opt/wapt/lib/python3.9/test

cd /
/usr/bin/tar -zcf /tmp/python.tar.gz -C /opt/wapt/ .
#/opt/wapt/bin/python3 -m pip install whell
#/opt/wapt/bin/python3 -m pip install pyobjc==8.5 --platform macosx_10_9_x86_64
#export PATH=$PATH:/opt/wapt/bin/ ; /opt/wapt/bin/python3 -m pip install -r /root/requirements.txt
